features:
  secondary:
    - name: "Geo is faster and easier to maintain"
      available_in: [premium, ultimate]
      gitlab_com: false
      documentation_link: 'https://docs.gitlab.com/ee/administration/geo/replication'
      reporter: fzimmer
      stage: enablement
      categories:
        - "Geo-replication"
        - "Disaster Recovery"
      epic_url: 'https://gitlab.com/groups/gitlab-org/-/epics/2851'
      description: | 
        Geo replicates data from a primary Geo node to one or several Geo
        secondary nodes. Backfilling data to secondary nodes as quickly as possible is critical to ensure that secondary nodes don't fall too far behind. 
        
        After a number of iterations (51 MRs!), Geo no longer requires [PostgreSQL Foreign Data Wrappers (FDW)](https://wiki.postgresql.org/wiki/Foreign_data_wrappers). This eliminates the possibility of some database timeouts and increases the overall performance of backfill operations. Additionally, this change reduces a step when configuring Geo and makes it easier to maintain a Geo deployment. To give an idea of the reduction in complexity, this change resulted in 3,823 net lines of code being removed.
